import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.Calendar;
import java.util.GregorianCalendar;

import quadbase.ChartAPI.QbChart;
import quadbase.util.IZoomInfo;

public class ZoomChart extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			ZoomChart chart = new ZoomChart();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doZoomChart(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doZoomChart(this));
	}

	Component doZoomChart(Applet parent) {
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"ZoomChart.cht"); // template

		try {
			// Modify starting and ending period and scale
			IZoomInfo zoomInfo = chart.gethZoomInfo();

			// Begin Date
			Calendar beginDate = new GregorianCalendar(2001, 0, 1);

			// End Date
			Calendar endDate = new GregorianCalendar(2003, 11, 31);

			zoomInfo.setLowerBound(beginDate.getTime());
			zoomInfo.setUpperBound(endDate.getTime());

			zoomInfo.setScale(6, IZoomInfo.MONTH);

			chart.refresh();
		} catch (Exception ex)
		{
			ex.printStackTrace();

		}

		// Show chart in Viewer
		return chart;

	}
}
